<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwConfigs: Smoothing Config Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwSmoothingConfig.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to set up the smoothing configuration for one or
        many data point elements. If the panel is used for just one data point
        element at a time, the panel shows the
        current state of the smoothing config when loaded.</p>
      <p>The user can choose from the standard PVSS driver smoothing options.</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When configuring the smoothing for a data point element
          (or elements) you should first check the &quot;Smoothing ON/OFF&quot; check
          box. Then the smoothing options will appear.</p>
        <p>Next, select the required smoothing
          method from the list. Then, if required by the chosen method, you may
          need to enter a time period and/or a deadband value. Note that you
          can view the time period in seconds only by checking the &quot;Time
          in Seconds&quot;
          check box. Also, you can use a relative deadband value checking the
          &quot;Relative value&quot; check box.</p>
        <p>Finally, if you want the archiving configuration to be active, make
          sure that the &quot;Archiving ON&quot; checkbox is checked. If you uncheck this,
          then the archive configuration will be stored but the archiving will
          not operate. Then press OK or Apply to save the configuration.</p>
        <p>To delete the smoothing configuration on the data point element(s),
          uncheck the &quot;Smoothing ON/OFF&quot; check box and then press either OK
          or Apply.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><p>Not all smoothing methods are available for types of
          data point element. Integer, unsigned and float data point elements
          support
          all the methods. All the other types do not support smoothing methods
          that use a deadband.</p>
        <p>If you load the panel for a collection of data point elements, the
          panel will show only the smoothing options that can be applied to all
          the current elements. So, for example, if the panel is used to configure
          a float element and a boolean element, the deadband smoothing methods
          will not be shown because the boolean data point element does not support
        them. You can press the
          &quot;Select Elements&quot; buttons to choose which data point elements
        to configure from the list that was passed to the panel.</p>
        <p>The panel can only read and write to smoothing configs of data point
          elements if the relevant peripheral address driver number is running.
          If no peripheral address for a data point element is defined, then
          the SIM manager -num 1 must be running (this is running by default
          in a new PVSS project). If a data point element is configured with
          a peripheral address that has a driver number, say 7. Then a driver
          or SIM manager -num 7 must be running in order to access the smoothing
          configuration.<br>
        </p></td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwSmoothingConfig.jpg" alt="Panel screenshot" width="646" height="442" style="width: 647px; height: 443px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpe</td>
      <td><p>The name of the data point element(s) to configure.</p>
        <p>If you wish to use the panel for multiple data point elements, you
          should pass a list in the same format as the PVSS dyn_string, i.e.dpe1
          | dpe2 | dpe3<br>
        </p></td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$bHierarchyBrowser</td>
      <td><p>Controls the position and visibility of the OK, Apply and Cancel
          buttons.</p>
      <p>TRUE - Shows Apply button only.<br>
      FALSE - Shows OK, Apply and Cancel button.</p></td>
      <td>Required<br>
      </td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
